# Uses of Interface
org.eclipse.net4j.util.ref.KeyedReference

Packages that use KeyedReference
Package
Description
org.eclipse.net4j.util.ref
A framework for memory-sensitive keyed references and value maps.

## Uses of KeyedReference in org.eclipse.net4j.util.ref

Classes in org.eclipse.net4j.util.ref that implement KeyedReference
Modifier and Type
Class
Description
`class`
`KeyedPhantomReference<K,T>`
`class`
`KeyedSoftReference<K,T>`
`class`
`KeyedStrongReference<K,T>`
`class`
`KeyedWeakReference<K,T>`
Methods in org.eclipse.net4j.util.ref that return KeyedReference
Modifier and Type
Method
Description
`protected KeyedReference<K,V>`
ReferenceValueMap.Soft.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected KeyedReference<K,V>`
ReferenceValueMap.Strong.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected KeyedReference<K,V>`
ReferenceValueMap.Weak.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected abstract KeyedReference<K,V>`
ReferenceValueMap2.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected KeyedReference<K,V>`
ReferenceValueMap2.Soft.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected KeyedReference<K,V>`
ReferenceValueMap2.Strong.`createReference(K key, V value, ReferenceQueue<V> queue)`
`protected KeyedReference<K,V>`
ReferenceValueMap2.Weak.`createReference(K key, V value, ReferenceQueue<V> queue)`
Methods in org.eclipse.net4j.util.ref with parameters of type KeyedReference
Modifier and Type
Method
Description
`protected V`
ReferenceValueMap2.`dereference(KeyedReference<K,V> ref)`
Constructor parameters in org.eclipse.net4j.util.ref with type arguments of type KeyedReference
Modifier
Constructor
Description
``
`ReferenceValueMap(ConcurrentMap<K,KeyedReference<K,V>> map)`
``
`ReferenceValueMap2(Map<K,KeyedReference<K,V>> map)`
``
`Soft(ConcurrentMap<K,KeyedReference<K,V>> map)`
``
`Soft(Map<K,KeyedReference<K,V>> map)`
``
`Strong(ConcurrentMap<K,KeyedReference<K,V>> map)`
``
`Strong(Map<K,KeyedReference<K,V>> map)`
``
`Weak(ConcurrentMap<K,KeyedReference<K,V>> map)`
``
`Weak(Map<K,KeyedReference<K,V>> map)`